<?php
/**
 * @package MemberView
 * @version 2
 */
/*
Plugin Name: MemberView
Plugin URI: http://catskinstudio.com/member-view-wordpress-shortcodes
Description: adds [mv]{content}[/mv] shortcode controller to enable specific post/page content to be displayed by logged in members only. Optional cap="capability" attribute is available for assigning a specific user capability to the content. now with [nmv]{content}[/nmv] shortcode controller to enable specific post/page content to be displayed by non-logged in guests only. 
Author: Lee Tagg
Version: 2
Author URI: http://catskinstudio.com
Usage:  [mv]Member Only Content[/mv] -or- [nmv]Guest Only Content[/nmv]
*/

function memberview_func($atts,$content) {   
	extract(shortcode_atts(array(
      "cap" => '',
   	), $atts));

	if (
			strlen($content) > 0 && 
			is_user_logged_in() && 
			(
				(strlen($cap) > 0 && current_user_can( $cap )) || 
				(strlen($cap) == 0)
			)
		) 
	{
		return $content;
	}
}
add_shortcode('mv', 'memberview_func');

function nonmemberview_func($atts,$content) {   
	if (
			strlen($content) > 0 && 
			!is_user_logged_in()		
		) 
	{
		return $content;
	}
}
add_shortcode('nmv', 'nonmemberview_func');
?>
